#include<iostream>

using namespace std;

int main(){
	
	int N,M;
	scanf("%d %d",&N,&M);
	
	int s,k;
	
	if((N==1 && N>1)|| (M==1 && N>1)){
		s=M*N;
	} 
		
	else s=(2*M)+((N-2)*2);
	
	k=(((N*M)-s)/2)+s;
	printf("%d",k);
	
}